#!/usr/bin/env python

import os,sys
from pyraf import iraf

def imstat_file(infile):

    if os.access(infile, os.R_OK):
        fout=open('imstat_out.txt', 'w')
        f=open(infile)
        for line in f:
            fname,xx,yy=line[:-1].split(' ')
            if not line.startswith("#"):
                fitsname=fname+'.fits'
                if os.access(fitsname, os.R_OK):
                    iraf.imstat.fields='image,mean,midpt,stddev'
                    out_imstat=iraf.imstat(fname,Stdout=1)
                    print >> fout, out_imstat[1]
                else:
                    print "Error: can't read", fname
        f.close()
        fout.close()
    else:
        print "Error: can't open", infile


if __name__ == "__main__":
    imstat_file(sys.argv[1])
