#!/usr/bin/env python

import os,sys
from pyraf import iraf

def imstat_file(infile):

    if os.access(infile, os.R_OK):
        f=open(infile)
        for line in f:
            fname,xx,yy=line[:-1].split(' ')
            if not line.startswith("#"):
                fitsname=fname+'.fits'
                if os.access(fitsname, os.R_OK):
                    iraf.imstat(fitsname)
                else:
                    print "Error: can't read", fname
        f.close()
    else:
        print "Error: can't open", infile

if __name__ == "__main__":
    imstat_file(sys.argv[1])
    
