#!/usr/bin/env python

import os,sys
from pyraf import iraf

def imstat_file(infile):

    medavg=0
    mednum=0
    if os.access(infile, os.R_OK):
        f=open(infile)
        for line in f:
            fname,xx,yy=line[:-1].split()
            print fname
            if not line.startswith("#"):
                fitsname=fname+'.fits'
                if os.access(fitsname, os.R_OK):
                    iraf.imstat.fields='image,mean,midpt,stddev'
                    out_imstat=iraf.imstat(fitsname,Stdout=1)
                    med=out_imstat[1].split()
                    medavg=medavg+float(med[2])
                    mednum=mednum+1
                else:
                    print "Error: can't read", fname
        f.close()
    else:
        print "Error: can't open", infile

    medavg=medavg/mednum
    print medavg
    print mednum


if __name__ == "__main__":
    imstat_file(sys.argv[1])
    
